import React from 'react';

import {
  Switch,
  Route,
  Link
} from "react-router-dom";

import Location from './Location.jsx';

import { sources } from '../sources.json';
const sourcesSorted = sources
      .sort((a, b) => parseInt(b.marine.lat) - parseInt(a.marine.lat))

export default class LocationControl extends React.Component {
    render() {
        return (
            <Switch>
              <Route path='/location/:id/:y/:m/:d' component={Location} />
              <Route path='/location/:id' component={Location} />
              <Route path='/location'>
                <h3>Locations</h3>
                <ul>
                  {sourcesSorted.map((source, i) => (<li key={i}><Link to={'/location/' + source.id}>{source.name}</Link></li>))}
                </ul>
              </Route>
            </Switch>
        )
    }
}
